/*========== GOOGLE FONTS ==========*/
@import url("https://fonts.googleapis.com/css2?family=Inter:wght@100;200;300;400;500;600;700;800;900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

/*========== VARIABLES CSS ==========*/
:root {
  /*===== Colors =====*/
  --soft-white: #fbfaf5;
  --soft-black: #181a18;
  --white: #ffffff;
  --black: #0a0a0a;
  --srun-green: #14ac04;
  --srun-orange: #f59525;
  --sride-blue: #282936;
  --scoopa-purple: #af1d8a;
  --scoopa-purple-l: #ffe9f9;
  --text-grey: #444950;
  --text-grey-d: #495057;
  --safi-red: #fa0000;
  --darkest: #0a0a0a;
  --success: #13ae8f;
  --error: #ff3333;
  --hopeful-blue: #062639;
  --dark-blue: #03030f;
  --dark-midnight-blue: #000204;
  --dead-blue: #03030f;
  --primary-blue: #26a3de;
  --primary-green: #18a87c;
  --shy-green: #daf4ec;
  --shy-blue: #c0e4f5;
  --confident-blue: #68bfe8;
  --soothing-blue: #ecf7fc;
  /*===== Font and typography =====*/
  --body-font-2: "Inter", sans-serif;
  --body-font: "Poppins", sans-serif;
  /* .5rem = 8px, 1rem = 16px, 1.5rem = 24px ... */
  --fs-6: 6rem;
  --fs-5-5: 5.5rem;
  --fs-5: 5rem;
  --fs-4-5: 4.5rem;
  --fs-4: 4rem;
  --fs-3-5: 3.5rem;
  --fs-3: 3rem;
  --fs-2-5: 2.5rem;
  --fs-2: 2rem;
  --fs-1-5: 1.5rem;
  --fs-1: 1rem;
  --fs-0-95: 0.95rem;
  --fs-0-85: 0.85rem;
  --fs-0-75: 0.75rem;
  --fs-0-65: 0.65rem;
  --fs-0-5: 0.5rem;
  --fs-0-25: 0.275rem;
  --fs-0-2: 0.2rem;
  /*===== Font weight =====*/
  --font-medium: 500;
  --font-semi-bold: 600;
  /*===== Margenes Bottom =====*/
  /* .25rem = 4px, .5rem = 8px, .75rem = 12px ... */
  --mb-0-25: 0.25rem;
  --mb-0-5: 0.5rem;
  --mb-0-75: 0.75rem;
  --mb-1: 1rem;
  --mb-1-5: 1.5rem;
  --mb-2: 2rem;
  --mb-2-5: 2.5rem;
  --mb-3: 3rem;
  --mb-3-5: 3rem;
  --mb-4: 4rem;
  --mb-4-5: 4.5rem;
  --mb-5: 5rem;
  --mb-5-5: 5.5rem;
  --mb-6: 6rem;
  --mb-6-5: 6.5rem;
  --mb-7: 7rem;
  --mb-7-5: 7.5rem;
  --mb-8: 8rem;
  --mb-8-5: 8.5rem;
  --mb-9: 9rem;
  --mb-9-5: 9.5rem;
  --mb-10: 10rem;
  --mb-10-5: 10.5rem;
  --mb-11: 11rem;
  --mb-11-5: 11.5rem;
  --mb-12: 12rem;
}

/*=====----- COMING-SOON MODAL -----=====*/
.coming-soon-modal {
  position: relative;
  width: 100%;
  height: auto;
  background: var(--hopeful-blue);
  z-index: 600;
}

/* Modal Container */
.coming-soon__modal {
  width: 100%;
  height: 100vh;
  /* border: 2px red solid; */
  position: fixed;
  top: -200%;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, 0.8);
  transition: all 0.4s ease;
}

.show-cs-modal {
  top: 0;
}

/* modal pop-up */
.coming-soon-modal__box {
  width: 100%;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: var(--mb-2);
  z-index: 400;
  transition: all 0.5s ease;
  /* border: 1px red solid; */
}

/* modal content */
.coming-soon-modal__content {
  position: relative;
  width: 40%;
  height: auto;
  margin: 0 auto;
  /* padding: var(--mb-1); */
  background: var(--white);
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
  flex-direction: column;
  transition: all 0.3s ease;
  /* border: 2px red solid; */
  border-radius: 10px;
  overflow: hidden;
}

/* modal exit */
.coming-soon-modal__close {
  position: absolute;
  top: -0.5%;
  right: 1%;
  font-size: 1rem;
  margin: var(--mb-1);
  transition: all 0.3s;
  cursor: pointer;
  color: var(--gura-green);
  z-index: 30;
}

.coming-soon-modal__close i {
  display: flex;
  justify-content: center;
  align-items: center;
  font-weight: 700;
  font-size: var(--fs-1-5);
}

.coming-soon-modal__close:hover {
  color: var(--error);
}

/*===== EMPTY CART CONTAINER =====*/
.coming-soon__main-container {
  width: 100%;
  height: 100%;
  padding: var(--mb-3);
  margin: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  row-gap: var(--mb-2-5);
  /* border: 2px red solid; */
}

.cs-logo {
  width: 100%;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
}

.cs-logo img {
  width: 200px;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  object-fit: cover;
}

.cs-title {
  width: 100%;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  row-gap: var(--mb-0-25);
  /* border: 1px teal solid; */
}

.cs-title h3 {
  width: 100%;
  font-size: var(--fs-2);
  font-weight: 700;
  font-family: var(--body-font);
  letter-spacing: -0.01em;
  /* border: 1px red solid; */
  line-height: 40px;
  text-align: center;
  margin-bottom: var(--mb-0-75);
}

.cs-title p {
  width: 100%;
  font-size: 1.1rem;
  font-weight: 400;
  font-family: var(--body-font);
  letter-spacing: -0.01em;
  text-align: center;
}

.cs-content {
  width: 100%;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: flex-start;
  flex-direction: column;
  row-gap: var(--mb-1);
  /* border: 1px blue solid; */
}

.cs-content p {
  width: 100%;
  font-size: 1rem;
  font-weight: 400;
  font-family: var(--body-font);
  letter-spacing: -0.01em;
  text-align: left;
  color: var(--text-grey);
  /* margin-bottom: var(--mb-0-5); */
}

.csc-input {
  width: 100%;
  height: auto;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  border: 2px #ccc solid;
  border-radius: 5px;
  padding: 0 var(--mb-0-5);
  transition: all 0.3s ease;
  margin-bottom: var(--mb-3);
}

.csc-input p {
  flex: 0 0 20%;
  display: flex;
  justify-content: space-around;
  align-items: center;
  font-size: 1rem;
  font-weight: 500;
  font-family: var(--body-font);
  letter-spacing: -0.01em;
  margin: 0;
}

.csc-input img {
width: 25px;
  display: flex;
  justify-content: center;
  align-items: center;
  object-fit: cover;
}

.csc-input input {
  flex: 0 0 80%;
  height: auto;
  padding: var(--mb-1) var(--mb-0-25);
  font-size: 1rem;
  font-weight: 400;
  font-family: var(--body-font);
  letter-spacing: -0.01em;
  border: none;
  outline: none;
}

.csc-input:hover,
.csc-input:focus,
.csc-input:active {
  border: 2px var(--scoopa-purple) solid;
}

.cs-btn {
  width: 100%;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  /* margin-top: var(--mb-2); */
  /* border: 1px teal solid; */
}

.cs-btn button {
  width: fit-content;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 1.1rem;
  font-weight: 600;
  font-family: var(--body-font);
  letter-spacing: -0.01em;
  background: var(--scoopa-purple);
  color: var(--white);
  padding: var(--mb-0-75) var(--mb-3);
  border: 2px var(--scoopa-purple) solid;
  outline: none;
  border-radius: 30px;
  cursor: pointer;
  transition: all 0.2s ease;
}

.cs-btn button:hover {
  border: 2px var(--scoopa-purple) solid;
  background-color: transparent;
  color: var(--scoopa-purple);
  transform: scale(0.95);
}

/*==========----- MEDIA QUERY SECTION -----==========*/

@media screen and (max-width: 480px) {
  /* modal pop-up */
  .coming-soon-modal__box {
    padding: var(--mb-1);
  }

  /* modal content */
  .coming-soon-modal__content {
    width: fit-content;
    height: fit-content;
    justify-content: center;
    align-items: center;
  }

  /*===== EMPTY CART CONTAINER =====*/
  .coming-soon__main-container {
    padding: var(--mb-2);
    row-gap: var(--mb-2);
    justify-content: flex-start;
    /* border: 2px red solid; */
  }

  .cs-logo img {
    width: 150px;
  }

  .cs-title h3 {
    font-size: var(--fs-1-5);
    line-height: 30px;
    margin-bottom: var(--mb-0-5);
  }

  .cs-title p {
    width: 100%;
    font-size: 1rem;
    line-height: 22px;
  }

  .cs-title p:last-child {
    margin-top: var(--mb-0-5);
  }

  .cs-content {
    width: 100%;
    height: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    row-gap: var(--mb-0-75);
    /* border: 1px blue solid; */
  }

  .csc-input {
    width: 100%;
    gap: 0;
    border: 2px #ccc solid;
    border-radius: 5px;
    padding: 0 var(--mb-0-5);
    transition: all 0.3s ease;
    margin-bottom: var(--mb-3);
  }

  .csc-input p {
    flex: 0 0 25%;
    font-size: 0.98rem;
  }

  .csc-input p img {
    width: 20px;
  }  

  .csc-input input {
    flex: 0 0 75%;
    padding: var(--mb-0-75) var(--mb-0-25) var(--mb-0-75) var(--mb-0-5);
    font-size: 0.98rem;
  }

  .cs-btn {
    width: 100%;
    height: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    /* margin-top: var(--mb-2); */
    /* border: 1px teal solid; */
  }

  .cs-btn button {
    font-size: 1rem;
    padding: var(--mb-0-75) var(--mb-2-5);
    border-radius: 30px;
  }
}
